Jump to content

Archived

This topic is now archived and is closed to further replies.

Jack_mcs

What version is my shop?

Recommended Posts

How does this relate to the version of the shop?

 

Jack

Share this post


Link to post
Share on other sites

I am trying to upgrade a customer site and I have run into the following regarding version:

 

The includes/application_top.php file has this about the version:

 

// define the project version
include('includes/version.php');

 

I have had a look at the version.php file and it has this line:

 

// define the project version
define('PROJECT_VERSION', 'CRE Loaded v6.2 B2B');
define('PROJECT_PATCH', '13');

 

I am pretty sure this version is extremely old. Can anyone tell me if upgrading from this version is a lot of effort?

Should I start fresh?

 

Does the newer version allow me greater control over styling? What other benefits would prompt me to require an upgrade?

 

Thanks in advance,

Eric

Share this post


Link to post
Share on other sites

That's a CRE shop, which is different than an oscommerce shop (although they are based on the same code). So the version numbers mentioned in this thread won't apply to it. CRE started a new policy where you have to pay to use it so, I would think, the upgrades are free. But you would need to ask in the CRE forums to find that out.

 

Jack

Share this post


Link to post
Share on other sites

ok so OSCommerce doesn't even tell you which version it is? ummmmm, why would they hide that? Seems to me it would be useful information and could (SHOULD) be in the footer somewhere.


☆ ☆ ☆ ☆ ☆ ☆ ☆ ☆ ☆ ☆ ☆ ☆ ☆ ☆ ☆ ☆ ☆ ☆ ☆ ☆ ☆ ☆ ☆ ☆ ☆ ☆ ☆ ☆

Share this post


Link to post
Share on other sites

It isn't that the version is being hidden. The main version number is listed. But patches were released to fix various problems and those patches didn't provide a new version number. It was just an oversight, I guess, in the patch releases.

 

Jack

Share this post


Link to post
Share on other sites
Be sure you have the Search Engine Friendly option in admin->Configuration->My Store turned off. If it is, then you've most likely made a mistake in the changes.

 

Jack

 

 

Should this be turn on and does it mean it is SEO friendly

Share this post


Link to post
Share on other sites

It only works on some servers and then doesn't provide very SEO friendly url's so it should never be used.

 

Jack

Share this post


Link to post
Share on other sites
It only works on some servers and then doesn't provide very SEO friendly url's so it should never be used.

 

Jack

 

 

oh is it?

 

how to know which server csn use?

 

anyone heard of Magic SEO Url (osCommerce SEO)

 

 

is it really good and SEO?

Share this post


Link to post
Share on other sites

If you have an MS1 shop, I wouldn't even consider upgrading to RC2. If you have an MS2 shop, the upgrade can be very difficult and probably not worth it but the database can be used.

Jack

 

Hello.

 

I have version MS2.

Why do you say the upgrade is probably not worth it, because it is very difficult?

 

I have many customised contributions so a clean install isn't practical.

 

If one doesn't upgrade from MS2 to a newer version then aren't there security concerns?

Share this post


Link to post
Share on other sites

Last week I upgraded from 2.1 (circa 2002) to the latest github sourced rc3. So it took quite a while, but it is doable. It is worth doing in my opinion.


This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest current code (community-supported responsive 2.3.4.1BS Edge) here

 

Share this post


Link to post
Share on other sites

I have version MS2.

Why do you say the upgrade is probably not worth it, because it is very difficult?

 

I have many customised contributions so a clean install isn't practical.

 

If one doesn't upgrade from MS2 to a newer version then aren't there security concerns?

You may want to reread my post since I never said upgrading from MS2 was not worth it.

Share this post


Link to post
Share on other sites

Here's what your wrote Jack, feel free to clarify your statement -

 

It depends on what you mean by "very old." If you have an MS1 shop, I wouldn't even consider upgrading to RC2. If you have an MS2 shop, the upgrade can be very difficult and probably not worth it but the database can be used.

Jack

Share this post


Link to post
Share on other sites

Here's what your wrote Jack, feel free to clarify your statement -

I stand corrected. I did say that but you've taken it out of context. The op that I responded to said, or I interpreted it that way, as he had a basic shop and was concerned about losing his data. If one has an MS2 shop with hardly any changes made to the files, there is no valid reason, other than you wanting the experience, I suppose, to upgrade it. Just install an RC2 shop and upgrade the database.

Share this post


Link to post
Share on other sites

Fair enough, but if one has a highly modified MS2 site should one still go through the trouble of upgrading?

Share this post


Link to post
Share on other sites

Fair enough, but if one has a highly modified MS2 site should one still go through the trouble of upgrading?

Probably. But some contributions aren't directly compatible with RC2 so you may end up having to upgrading a number of them, making the upgrade nearly as time consuming as starting over. There's no one answer for upgrading.

Share this post


Link to post
Share on other sites

Hi!

Way back in page 1 I was discussing whether or not it was worth me updating my version to RC2 etc. I ended up decided not to, but I did manage to update the patches so my version is now OsCommerce 2.2-MS2 with patch 060817.

 

I was wondering if there has been another patch that I need to consider now?

 

I am trying to get my shop working with register globals on, and am having all sorts of trouble, and now don't know where to go next. Was wondering if this might have any impact?

 

EDIT: an afterthought - is there anywhere I can download a clean copy of MS2.2 with the patches installed? It would be nice to be able to compare these files to check for reasons my site isn't working.

Share this post


Link to post
Share on other sites

Way back in page 1 I was discussing whether or not it was worth me updating my version to RC2 etc. I ended up decided not to, but I did manage to update the patches so my version is now OsCommerce 2.2-MS2 with patch 060817.

 

I was wondering if there has been another patch that I need to consider now?

 

I am trying to get my shop working with register globals on, and am having all sorts of trouble, and now don't know where to go next. Was wondering if this might have any impact?

 

EDIT: an afterthought - is there anywhere I can download a clean copy of MS2.2 with the patches installed? It would be nice to be able to compare these files to check for reasons my site isn't working.

There's not an official, patched, version, to my knowledge. There are other changes that need to be made for security reasons, like deleting the file_manager.php file, but those aren't in the latest version either so that's a different matter. The code should already work with register globals on. If you mean to have it work with it off, which is the desired setting, then there is a contribution for that.

Share this post


Link to post
Share on other sites

You're right Jack, I meant to say that I'm trying to get it working with register globals off.

 

I've already looked at two contributions, but am having no joy :( I've started a new thread, as it's not really related to this... http://forums.oscommerce.com/topic/358708-register-globals/ would love some help if you've got time.

 

Incidently, my other option to try and get this working is to upgrade. At this stage do you think I'm better to upgrade to rc2.2 or to wait it out and hope that v3 is closer than expected?

Share this post


Link to post
Share on other sites

Incidently, my other option to try and get this working is to upgrade. At this stage do you think I'm better to upgrade to rc2.2 or to wait it out and hope that v3 is closer than expected?

That's the question on everyones mind. If V3 were released tomorrow, I suspect it would take a few months for all of the major bugs to be fixed. If the contributions you need are then available for it, then the wait would be worth it. But if it is released a year from now, pobably not. The question, of course, is when will it be released?

Share this post


Link to post
Share on other sites

That's the question on everyones mind.

 

Indeed! Oh well, I think I'll need to get myself familiar with RC2a asap (my current server setup which the site is running successfully is due to be decommissioned in a months time), thanks for your help :)

Share this post


Link to post
Share on other sites

- First look in includes/application_top.php and find this line

// define the project version

Under that will be a line that starts with define('PROJECT_VERSION'. These are the main choices:

 

Sorry, I am brand new to this. Where can I find the 'includes/application_top.php'??

Share this post


Link to post
Share on other sites

The includes directory is located in the root of your shop (where you main index.php file is located). If that doesn't make sense to you, ask your host to point it out. Once you understand the layout, the rest will get easier.

Share this post


Link to post
Share on other sites

×